<template>
  <div
    v-if="$slots.default"
    class="features flex"
  >
    <slot />
    <!-- <inject-node
      v-for="(node, i) of $slots.default()"
      :key="i"
      :value="node"
    /> -->
  </div>
</template>

<script setup lang="ts">
// import InjectNode from './utils/InjectNode.vue'
</script>

<style>
/* ripped from .home .features in default theme */
.features, .home .features {
    border-bottom: 1px solid var(--c-border);
    border-top: 1px solid var(--c-border);
    transition: border-color var(--t-color);
    padding: 1.2rem 0;
    margin-top: 2.5rem;
    display: flex;
    flex-wrap: wrap;
    align-items: flex-start;
    align-content: stretch;
    justify-content: space-between;
}
</style>
